org.richfaces.renderkit

## Class ExtendedDataTableRenderer.RendererState

- java.lang.Object
- - org.richfaces.renderkit.RowHolderBase
  - - org.richfaces.renderkit.ExtendedDataTableRenderer.RendererState

- Enclosing class:
    ExtendedDataTableRenderer

      protected class ExtendedDataTableRenderer.RendererState
      extends RowHolderBase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendedDataTableRenderer.RendererState(javax.faces.context.FacesContext context, UIDataTableBase table)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExtendedDataTableRenderer.EncoderVariance` | `getEncoderVariance()`
    `protected List<javax.faces.component.UIComponent>` | `getOrderedColumns(javax.faces.context.FacesContext context)`
    `ExtendedDataTableRenderer.Part` | `getPart()`
    `UIDataTableBase` | `getRow()`
    `boolean` | `hasNextPart()`
    `ExtendedDataTableRenderer.Part` | `nextPart()`
    `void` | `setEncoderVariance(ExtendedDataTableRenderer.EncoderVariance encoderVariance)`
    `void` | `startIterate()`

    - ### Methods inherited from class org.richfaces.renderkit.RowHolderBase

      `getContext, getCurrentRow, getProcessCell, hasWalkedOverRows, nextCell, nextRow, resetCurrentRow, resetProcessCell, setCurrentRow`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtendedDataTableRenderer.RendererState

          public ExtendedDataTableRenderer.RendererState(javax.faces.context.FacesContext context,
                                                 UIDataTableBase table)

  - ### Method Detail

    - #### getOrderedColumns

          protected List<javax.faces.component.UIComponent> getOrderedColumns(javax.faces.context.FacesContext context)

    - #### getRow

          public UIDataTableBase getRow()

      Specified by:
        `getRow` in class `RowHolderBase`

    - #### startIterate

          public void startIterate()

    - #### nextPart

          public ExtendedDataTableRenderer.Part nextPart()

    - #### getPart

          public ExtendedDataTableRenderer.Part getPart()

    - #### hasNextPart

          public boolean hasNextPart()

    - #### getEncoderVariance

          public ExtendedDataTableRenderer.EncoderVariance getEncoderVariance()

    - #### setEncoderVariance

          public void setEncoderVariance(ExtendedDataTableRenderer.EncoderVariance encoderVariance)

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.